Bug 229064 - GlyphBuffer can become inconsistent with its backing string
Summary: GlyphBuffer can become inconsistent with its backing string
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Myles C. Maxfield
URL:
Keywords: InRadar
Depends on:
Blocks: 215643
  Show dependency treegraph
 
Reported: 2021-08-12 18:54 PDT by Myles C. Maxfield
Modified: 2021-08-20 01:05 PDT (History)
2 users (show)

See Also:


Attachments
Patch (9.59 KB, patch)
2021-08-12 18:56 PDT, Myles C. Maxfield
ews-feeder: commit-queue-
Details | Formatted Diff | Diff
Patch (9.63 KB, patch)
2021-08-12 19:08 PDT, Myles C. Maxfield
zalan: review+
ews-feeder: commit-queue-
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Myles C. Maxfield 2021-08-12 18:54:13 PDT
GlyphBuffer can become inconsistent with its backing string
Comment 1 Myles C. Maxfield 2021-08-12 18:56:54 PDT
Created attachment 435463 [details]
Patch
Comment 2 Myles C. Maxfield 2021-08-12 19:08:39 PDT
Created attachment 435465 [details]
Patch
Comment 3 Radar WebKit Bug Importer 2021-08-19 18:55:15 PDT
<rdar://problem/82152161>
Comment 4 EWS 2021-08-19 21:57:23 PDT
Tools/Scripts/svn-apply failed to apply attachment 435465 [details] to trunk.
Please resolve the conflicts and upload a new patch.
Comment 5 Myles C. Maxfield 2021-08-20 01:05:11 PDT
Committed r281300 (240724@main): <https://commits.webkit.org/240724@main>